ScalarisListAppendRemoveOp2
Date: 2016-02-29

de.zib.scalaris.executor

## Class ScalarisListAppendRemoveOp2<T>

- java.lang.Object
- - de.zib.scalaris.executor.ScalarisChangeListOp2
  - - de.zib.scalaris.executor.ScalarisListAppendRemoveOp2<T>

- Type Parameters:
    `T` - the type of objects in the list
  All Implemented Interfaces:
    ScalarisOp

      public class ScalarisListAppendRemoveOp2<T>
      extends ScalarisChangeListOp2

  Implements a list append operation using the append operation of Scalaris. Supports an (optional) list counter key which is updated accordingly. For a correct counter in the `countKey`, this class assumes that every element from the `toRemove` list existed in the list (at least after adding the elements from `toAdd`).
  Since:
    3.18
  Version:
    3.18
  Author:
    Nico Kruber, kruber@zib.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalarisListAppendRemoveOp2(String key, List<T> toAdd, List<T> toRemove, String countKey)` Creates a new append+remove operation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class de.zib.scalaris.executor.ScalarisChangeListOp2

      `doPhase, workPhases`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalarisListAppendRemoveOp2

          public ScalarisListAppendRemoveOp2(String key,
                                     List<T> toAdd,
                                     List<T> toRemove,
                                     String countKey)

      Creates a new append+remove operation.
      Parameters:
        `key` - the key to append/remove the values to/from
        `toAdd` - the values to add
        `toRemove` - the values to remove
        `countKey` - the key for the counter of the entries in the list (may be `null`)

  - ### Method Detail

    - #### toString

          public String toString()

      Specified by:
        `toString` in interface `ScalarisOp`
      Overrides:
        `toString` in class `Object`